package com.bawei.mall.car.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单表
 *
 * @program: mall_cloud
 * @ClassName: Order
 * @author: Gyc
 * @create: 2024-05-10 15:20
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Order {
    //主键
    private Integer id;
    //skuId
    private Integer skuId;
    //订单号
    private String orderId;
    //商品名称
    private String productName;
    //商品sku名称
    private String productSku;
    //商品图片
    private String productUrl;
    //商品价格
    private BigDecimal productPrice;
    //商品数量
    private Integer productNum;
    //购买数量
    private Integer buyNumber;

}
