package com.bawei.mall.car.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单用户关联表
 *
 * @program: mall_cloud
 * @ClassName: OrderByUser
 * @author: Gyc
 * @create: 2024-05-10 19:32
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class OrderByUser {
    private Integer id;
    private String orderId;
    private Integer userId;
    private Integer discountId;
    //订单状态 0未支付 1已支付 2已取消 3已退款 4已过期
    private Integer status;
    //购买数量
    private Integer number;
    //订单创建时间
    private Date createTime;
    //订单支付时间
    private Date payTime;
    //订单总金额
    private BigDecimal totalPrice;
    //订单支付类型
    private Integer payType;
    //优惠金额
    private BigDecimal discountPrice;
    //订单实际支付金额
    private BigDecimal payPrice;
    //支付积分
    private Integer payIntegral;

}



























